Package com.logicaldoc.core.searchengine

# Class Hit

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.metadata.ExtensibleObject
com.logicaldoc.core.filler.Fillable
com.logicaldoc.core.document.AbstractDocument
com.logicaldoc.core.document.Document
com.logicaldoc.core.searchengine.Hit

All Implemented Interfaces:
  `Extensible`, `Secure<DocumentAccessControlEntry>`, `TransactionalObject`, `Serializable`, `Comparable<Hit>`

public class Hit extends Document implements Comparable<Hit>
Search result

Since:
  5.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.document.AbstractDocument

`EXPORT_LOCKED, EXPORT_UNLOCKED, NATURE_DOC`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Hit()`
`Hit(Document document)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Hit other)`
`boolean`
`equals(Object obj)`
`String`
`getContent()`
`int`
`getScore()`
`String`
`getSummary()`
`int`
`hashCode()`
`void`
`setContent(String content)`
`void`
`setScore(int score)`
`void`
`setSummary(String summary)`

### Methods inherited from class com.logicaldoc.core.document.Document

`addAccessControlEntry, addTag, clearTags, copyAttributes, getAccessControlEntries, getAccessControlEntry, getAccessControlList, getAttributes, getDeleteUser, getDocRef, getDocRefType, getFolder, getFolderId, getIcon, getRating, getTags, getTagsAsWords, getTagsString, getTemplate, removeAccessControlEntries, setAccessControlList, setAttributes, setDeleteUser, setDocRef, setDocRefType, setFolder, setRating, setTags, setTagsFromWords, setTemplate`

### Methods inherited from class com.logicaldoc.core.document.AbstractDocument

`getBarcodeTemplateId, getColor, getComment, getCreator, getCreatorId, getCustomId, getDate, getDecodedPassword, getDeleteUserId, getDigest, getDocAttrs, getEmbeddingStatus, getExportId, getExportName, getExportStatus, getExportVersion, getExtResId, getFileExtension, getFileName, getFileSize, getFileVersion, getFormId, getIndexed, getIndexingStatus, getLanguage, getLastNote, getLinks, getLocale, getLockUser, getLockUserId, getNature, getOcrTemplateId, getPages, getPassword, getPreviewPages, getPublisher, getPublisherId, getRevision, getStartPublishing, getStatus, getStopPublishing, getTemplateId, getTemplateName, getTgs, getTitle, getTransactionId, getType, getVersion, getWorkflowStatus, getWorkflowStatusDisplay, isBarcoded, isGranted, isImmutable, isModified, isOcrd, isPasswordProtected, isPublished, isPublishing, isSigned, isStamped, isToIndex, setBarcoded, setBarcodeTemplateId, setColor, setComment, setCreator, setCreatorId, setCustomId, setDate, setDecodedPassword, setDeleteUserId, setDigest, setDocAttrs, setEmbeddingStatus, setExportId, setExportName, setExportStatus, setExportVersion, setExtResId, setFileName, setFileSize, setFileVersion, setFormId, setImmutable, setIndexingStatus, setIndexingStatus, setLanguage, setLastNote, setLinks, setLocale, setLockUser, setLockUserId, setModified, setNature, setOcrd, setOcrTemplateId, setPages, setPassword, setPreviewPages, setPublished, setPublisher, setPublisherId, setRevision, setSigned, setStamped, setStartPublishing, setStatus, setStatus, setStopPublishing, setTemplateId, setTemplateName, setTgs, setTransactionId, setType, setVersion, setWorkflowStatus, setWorkflowStatusDisplay, toString`

### Methods inherited from class com.logicaldoc.core.filler.Fillable

`getFillerId, setFillerId`

### Methods inherited from class com.logicaldoc.core.metadata.ExtensibleObject

`getAttribute, getAttributeAtPosition, getAttributeNames, getAttributeNames, getValue, getValueAttributes, getValues, removeAttribute, setAttribute, setValue, setValues`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Hit

public Hit()

### Hit

public Hit(Document document)

## Method Details

### getScore

public int getScore()

### setScore

public void setScore(int score)

### getContent

public String getContent()

### setContent

public void setContent(String content)

### getSummary

public String getSummary()

### setSummary

public void setSummary(String summary)

### compareTo

public int compareTo(Hit other)

Specified by:
  `compareTo` in interface `Comparable<Hit>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Document`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Document`